# Auto Import YouTube

## Config

To use this plugin, you need to give some valid admins credential inside the plugin's settings.

After this you have to specify some YouTube Channel who need to be bind with a PeerTube Channel.
For this you have to use this format inside the plugins's setting. Into `URL list of Youtube channel to synchronize`'s text area. :

```json
[
   {
       "address":"https://www.youtube.com/feeds/videos.xml?channel_id=${MyYouTubeChannelID}",
       "ChannelId":"MyPeertubeChannelId"
   } ,
   ...
]
```

This an array of object who's in this format :

```ts
type SettingsContent = {
  address: string;
  channelId: string;
  timeloop?: number;
};
```

### address

For exemple, to the Youtube channel : `https://www.youtube.com/channel/YouTube`, the channel id is `UCBR8-60-B28hp2BmDPdntcQ`. You can get it when you're clicking in the channel button on the video player. (He's not Highlighted by YouTube. Cheer Up !)  
So you need to specify the following address inside your configuration : `https://www.youtube.com/feeds/videos.xml?channel_id=UCBR8-60-B28hp2BmDPdntcQ`.

### channelId

The peertube's channel id is a number associated to a peertube's channel. He's unique per channel inside a same instance.

### timeloop

It's represent the time between two update of the videos list.  
It's not needful to specify the timeloop. The default value is set to 5 minutes.
